/*********************************************************************************************************
* 模块名称: MyThread.c
* 摘    要: 线程模块
* 当前版本: 1.0.0
* 作    者: SZLY(COPYRIGHT 2019 SZLY. All rights reserved.)
* 完成日期: 2023年02月20日
* 内    容:
* 注    意: 不要在线程中执行刷新 UI 的操作
**********************************************************************************************************
* 取代版本:
* 作    者:
* 完成日期:
* 修改内容:
* 修改文件:
*********************************************************************************************************/
/*********************************************************************************************************
*                                              包含头文件
*********************************************************************************************************/
#include "mythread.h"

/*********************************************************************************************************
*                                              宏定义
*********************************************************************************************************/

/*********************************************************************************************************
*                                              内部变量
*********************************************************************************************************/

/*********************************************************************************************************
*                                              内部函数声明
*********************************************************************************************************/

/*********************************************************************************************************
*                                              内部函数实现
*********************************************************************************************************/

/*********************************************************************************************************
*                                              API函数实现
*********************************************************************************************************/
/*********************************************************************************************************
* 函数名称:  MyThread
* 函数功能:  构造函数
* 输入参数:  void
* 输出参数:  void
* 返 回 值:  void
* 创建日期:  2023年02月20日
* 注    意:
*          1、不要在线程中执行刷新 UI 的操作
*          2、repeat 不能为零
*          3、connect(thread, SIGNAL(triger()), this, SLOT(measureThread()));
*          4、connect(this, SIGNAL(destroyed()), thread, SLOT(onDeleteThread()));
*********************************************************************************************************/
MyThread::MyThread(QObject *parent) : QThread(parent)
{

}

/*********************************************************************************************************
* 函数名称:  ~MyThread
* 函数功能:  析构函数
* 输入参数:  void
* 输出参数:  void
* 返 回 值:  void
* 创建日期:  2023年02月20日
* 注    意:
*********************************************************************************************************/
MyThread::~MyThread()
{

}

/*********************************************************************************************************
* 函数名称:  run
* 函数功能:  运行函数
* 输入参数:  void
* 输出参数:  void
* 返 回 值:  void
* 创建日期:  2023年02月20日
* 注    意:  
*********************************************************************************************************/
void MyThread::run()
{
    while(true)
    {
        emit triger();
        msleep(10);
    }
}

/*********************************************************************************************************
* 函数名称:  onDeleteThread
* 函数功能:  删除前处理函数
* 输入参数:  void
* 输出参数:  void
* 返 回 值:  void
* 创建日期:  2023年02月20日
* 注    意:
*********************************************************************************************************/
void MyThread::onDeleteThread()
{
    this->quit();//关闭线程
    this->wait();//等待线程处理完工作
}
